// swift-tools-version: 5.9
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
  name: "Seanut",
  platforms: [
    .macOS(.v10_15),
  ],
  products: [
    .executable(name: "seanut", targets: ["Seanut"])
  ],
  dependencies: [
    .package(url: "https://github.com/apple/swift-argument-parser", from: "1.3.0"),
    .package(url: "https://github.com/apple/swift-log", from: "1.5.4"),
    .package(url: "https://github.com/kean/Get", from: "2.1.6"),
    .package(url: "https://github.com/apple/swift-crypto", from: "3.2.0"),
  ],
  targets: [
    // Targets are the basic building blocks of a package, defining a module or a test suite.
    // Targets can depend on other targets in this package and products from dependencies.
    .executableTarget(
      name: "Seanut",
      dependencies: [
        .product(name: "ArgumentParser", package: "swift-argument-parser"),
        .product(name: "Logging", package: "swift-log"),
        .product(name: "Get", package: "Get"),
        .product(name: "Crypto", package: "swift-crypto"),
      ],
      path: "Sources"
    ),
  ]
)
