// Item.swift

import Foundation

struct SearchResult: Codable {
    let items: [Item]?

    enum CodingKeys: String, CodingKey {
        case items = "Items"
    }

    init() { self.items = nil }
}

struct Item: Codable {
    let id: String?
    let type: String?
    let name: String?
    let childCount: Int?
    let path: String?
    
    enum CodingKeys: String, CodingKey {
        case id = "Id"
        case type = "Type"
        case name = "Name"
        case childCount = "ChildCount"
        case path = "Path"
    }

    init() {
        self.id = nil
        self.type = nil
        self.name = nil
        self.childCount = nil
        self.path = nil
    }
}
